%define rbname eet
%define version 0.1.3
%define release %mkrel 7

Summary: Ruby extension to access EET files
Name: ruby-%{rbname}

Version: %{version}
Release: %{release}
Group: Development/Ruby
License: MIT
URL: http://code-monkey.de/projects/%{name}.html
Source0: ftp://code-monkey.de/pub/%{name}/%{name}-%{version}.tar.bz2
Patch0: ruby-eet-0.1.3-use-pkgconfig.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: eet-devel 
BuildRequires: ruby-rake
BuildRequires: ruby-devel

%description
EET is a tiny library designed to write an arbitary set of chunks of data to
a file and optionally compress each chunk (very much like a zip file) and 
allow fast random-access reading of the file later on.
Ruby-EET allows you to read and write EET files from Ruby code. 
This extension also supports Ruby object serialization to EDD (EET Data
Descriptor).

%prep
%setup -q
%patch0 -p0

%build
rake 
rake test

%install
mkdir -p %{buildroot}%{ruby_sitearchdir}
DESTDIR=%{buildroot} rake install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS  COPYING  ChangeLog  NEWS  README
%{ruby_sitearchdir}/*.so
%{ruby_sitelibdir}/*.rb



%changelog
* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.1.3-7mdv2010.0
+ Revision: 433497
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.3-6mdv2009.0
+ Revision: 269233
- rebuild early 2009.0 package (before pixel changes)

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 0.1.3-5mdv2009.0
+ Revision: 214011
- use pkconfig to detect eet

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.1.3-4mdv2008.0
+ Revision: 17121
- Use Development/Ruby group
- Use std macros


* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.3-3mdk
- Fix BuildRequires : ruby-devel

* Thu Dec 22 2005 Pascal Terjan <pterjan@mandriva.org> 0.1.3-2mdk
- BuildRequires ruby-devel

* Tue Aug 16 2005 Pascal Terjan <pterjan@mandriva.org> 0.1.3-1mdk
- 0.1.3

* Sun Aug 14 2005 Pascal Terjan <pterjan@mandriva.org> 0.1.2-2mdk
- fix Summary
- mkrel

* Sun Aug 14 2005 Pascal Terjan <pterjan@mandriva.org> 0.1.2-1mdk
- First version of the package

